Mailinglist Archive: opensuse-updates (61 mails)

< Previous Next >
openSUSE-SU-2015:1752-1: moderate: Security update for rsync
openSUSE Security Update: Security update for rsync
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:1752-1
Rating: moderate
References: #898513 #900914 #922710
Cross-References: CVE-2014-8242
Affected Products:
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that solves one vulnerability and has two fixes
is now available.

Description:

rsync was updated to fix one security issue.

This security issue was fixed:
- CVE-2014-8242: Checksum collisions leading to a denial of service
(bsc#900914).

This non-security issue was fixed:
- reintroduce "use slp" directive (bsc#922710)
* disable it by default
* slp doesn't seem to be used much and it often caused problems (eg
boo#898513, bsc#922710)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-659=1

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-659=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

rsync-3.1.1-2.7.1
rsync-debuginfo-3.1.1-2.7.1
rsync-debugsource-3.1.1-2.7.1

- openSUSE 13.1 (i586 x86_64):

rsync-3.1.0-21.15.1
rsync-debuginfo-3.1.0-21.15.1
rsync-debugsource-3.1.0-21.15.1


References:

https://www.suse.com/security/cve/CVE-2014-8242.html
https://bugzilla.suse.com/898513
https://bugzilla.suse.com/900914
https://bugzilla.suse.com/922710


< Previous Next >
This Thread
  • No further messages